Subject: Re: [PATCH v4 0/1] receive-pack: optionally deny case clone refs

From: David Turner <[email-masked]>
Date: Sun, 15 Jun 2014 03:10:40 -0400

On Fri, 2014-06-13 at 12:05 -0700, Ronnie Sahlberg wrote:
> Thinking about it more.
> 
> I think we want to wait until the ref transaction API work is
> finished. The ref transactions API is in progress and it aims to add
> transactions for ref updates as a first step but then it aims to
> define a public API for all public ref functions. As part of that I
> will also develop support for pluggable ref backends. The first
> backend will be the current files based structure but I also will add
> an optional backend using a TDB database.

OK, in that case I'll shelve this patch for now (except that we'll
probably use it internally)  If for some reason pluggable ref backends
don't work out, we can always revive it.

Thanks to all for the reviews.  You can find the latest version at
https://github.com/dturner-tw/git/tree/case-ref .